export declare class PdsTableCell {
    hostElement: HTMLPdsTableCellElement;
    private tableRef;
    componentWillRender(): void;
    componentDidLoad(): void;
    /**
     * Truncates content to a max width of 100px and adds an ellipsis.
     */
    truncate: boolean;
    private tableScrolling;
    private classNames;
    private handleScroll;
    render(): any;
}
